## cfitsio 4.0.0

=== debian/changelog ===
cfitsio (4.0.0-1) unstable; urgency=medium

  * New upstream version with new versioning scheme:
    - Refresh 04-pkgconfig-private.patch.
    - Remove 05-system-zlib.patch, obsolete.
    - Refresh 10-latex.diff.
  * Bump Standards-Version to 4.6.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 21 Aug 2021 20:37:02 +0200

=== debian/control ===
Source: cfitsio
Section: devel
Priority: optional
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: gfortran, cfortran, zlib1g-dev, libbz2-dev, libcurl4-gnutls-dev
Build-Depends-Indep: hevea, latex2html, texlive
Standards-Version: 4.6.0
Homepage: https://heasarc.gsfc.nasa.gov/fitsio/fitsio.html
Vcs-Browser: https://salsa.debian.org/debian-astro-team/cfitsio
Vcs-Git: https://salsa.debian.org/debian-astro-team/cfitsio.git
Rules-Requires-Root: no

Package: libcfitsio9
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: shared library for I/O with FITS format data files
 FITS (Flexible Image Transport System) is a data format most used in
 astronomy. cfitsio is a library of ANSI C routines for reading and
 writing FITS format data files.  A set of Fortran-callable wrapper
 routines are also included for the convenience of Fortran
 programmers.
 .
 This package contains what you need to run programs that use this
 library.

Package: libcfitsio-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcfitsio9 (= ${binary:Version}), ${misc:Depends}
Replaces: libcfitsio3-dev (<< 3.340-3)
Breaks: libcfitsio3-dev (<< 3.340-3)
Recommends: libcfitsio-doc
Description: library for I/O with FITS format data files (development files)
 FITS (Flexible Image Transport System) is a data format most used in
 astronomy. cfitsio is a library of ANSI C routines for reading and
 writing FITS format data files.  A set of Fortran-callable wrapper
 routines are also included for the convenience of Fortran
 programmers.
 .
 This package contains what you need for compiling sources that
 use this library in your own code.

Package: libcfitsio-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CFITSIO based utilities
 FITS (Flexible Image Transport System) is a data format most used in
 astronomy. cfitsio is a library of ANSI C routines for reading and
 writing FITS format data files.  A set of Fortran-callable wrapper
 routines are also included for the convenience of Fortran
 programmers.
 .
 This package contains utility programs, based on CFITSIO, namely
 fitscopy, fpack and funpack.

Package: libcfitsio-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: libcfitsio-dev
Replaces: libcfitsio3-doc (<< 3.340-3)
Breaks: libcfitsio3-doc (<< 3.340-3)
Description: documentation for CFITSIO
 FITS (Flexible Image Transport System) is a data format most used in
 astronomy. cfitsio is a library of ANSI C routines for reading and
 writing FITS format data files.  A set of Fortran-callable wrapper
 routines are also included for the convenience of Fortran
 programmers.
 .
 This package contains the CFITSIO User's Guide and QuickStart Guide
 in html, postscript and text formats, and contains documentation on
 how to use the library in your programs. It also contains example
 source files that demonstrate the use of CFITSIO.

=== debian/watch ===
version=4
opts=dversionmangle=s/0$// \
    https://heasarc.gsfc.nasa.gov/FTP/software/fitsio/c cfitsio-(.+)\.tar\.gz

## cfitsio 4.1.0

=== debian/changelog ===
cfitsio (4.1.0-1) unstable; urgency=medium

  * New upstream version:
    - Refresh debian/patches/10-latex.diff.
  * Fix debian/watch file to work with the new versioning scheme.
  * Update 03-off_t.diff to add Hurd support.  Closes: #1007932.
  * Bump Standards-Version to 4.6.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 16 May 2022 22:18:00 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: gfortran, cfortran, zlib1g-dev, libbz2-dev, libcurl4-gnutls-dev
 Build-Depends-Indep: hevea, latex2html, texlive
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://heasarc.gsfc.nasa.gov/fitsio/fitsio.html
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/cfitsio
 Vcs-Git: https://salsa.debian.org/debian-astro-team/cfitsio.git

## cfitsio 4.2.0

=== CMakeLists.txt ===
#==============================================================================
# CFITSIO CMakeLists.txt
#==============================================================================

# Ensure that build directory is not the source directory:
IF(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
	message(FATAL_ERROR
		"Please create a separate directory for building CFITSIO."
		)
ENDIF()

CMAKE_MINIMUM_REQUIRED(VERSION 3.1)

# Suppress warning about WIN32 no longer being defined on Cygwin:
SET(CMAKE_LEGACY_CYGWIN_WIN32 0)

PROJECT(CFITSIO
	DESCRIPTION "Library of C and Fortran subroutines for reading and writing data files in FITS data format."
	LANGUAGES C CXX
	)

# Define project version
SET(${PROJECT_NAME}_MAJOR 4)
SET(${PROJECT_NAME}_MINOR 2)
SET(${PROJECT_NAME}_MICRO 0)
SET(${PROJECT_NAME}_VERSION ${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_MICRO})
SET(LIB_NAME cfitsio)

# Allow @rpath token in target install name on Macs.
# See "cmake --help-policy CMP0042" for more information.
IF(POLICY CMP0042)
  CMAKE_POLICY(SET CMP0042 NEW)
ENDIF()

INCLUDE(CheckLibraryExists)
INCLUDE(CheckFunctionExists)
INCLUDE(CheckSymbolExists)
INCLUDE(CheckCSourceCompiles)

#==============================================================================
# Build options:
#==============================================================================

# Allow the developer to select if Dynamic or Static libraries are built
OPTION(BUILD_SHARED_LIBS "Build Shared Libraries" ON)

# Allow curl dependency to be disabled with "-DUSE_CURL=OFF":
OPTION(USE_CURL "USE_CURL" ON)

OPTION(USE_PTHREADS "Thread-safe build (using pthreads)" OFF)

OPTION(TESTS "Build test programs Testprog and cookbook" OFF)

OPTION(UTILS "Build FPack, Funpack, and Fitscopy executables" OFF)

OPTION(USE_SSE2 "Enable use of instructions in the SSE2 extended instruction set" OFF)

OPTION(USE_SSSE3 "Enable use of instructions in the SSSE3 extended instruction set" OFF)

IF(NOT WIN32)
    OPTION(USE_BZIP2 "Enable bzip2 support" OFF)
ENDIF()

#==============================================================================

FIND_PACKAGE(ZLIB REQUIRED)

IF(BUILD_SHARED_LIBS)
  SET (LIB_TYPE SHARED)
ELSE()
  SET (LIB_TYPE STATIC)
ENDIF(BUILD_SHARED_LIBS)

IF(NOT WIN32)
   # Find curl library, for HTTPS support:
   IF(USE_CURL)
      FIND_PACKAGE(CURL)
      IF(CURL_FOUND)
         ADD_DEFINITIONS(-DCFITSIO_HAVE_CURL)
      ENDIF()
   ENDIF()
ENDIF(NOT WIN32)

IF(USE_PTHREADS)
   FIND_PACKAGE(Threads REQUIRED)
   ADD_DEFINITIONS(-D_REENTRANT)
ENDIF(USE_PTHREADS)

IF(USE_BZIP2)
   FIND_PACKAGE(BZip2 REQUIRED)
   ADD_DEFINITIONS(-DHAVE_BZIP2=1)
ENDIF(USE_BZIP2)

# Math library (not available in MSVC or MINGW)
IF(MSVC OR MINGW)
   SET(M_LIB "")
ELSE()
   FIND_LIBRARY(M_LIB m)
ENDIF()

# Support for remote file drivers is not implemented for native Windows:
IF (NOT MSVC)

    # Find library needed for gethostbyname:
    CHECK_FUNCTION_EXISTS("gethostbyname" CMAKE_HAVE_GETHOSTBYNAME)
    IF (NOT CMAKE_HAVE_GETHOSTBYNAME)
        CHECK_LIBRARY_EXISTS("nsl" "gethostbyname" "" CMAKE_HAVE_GETHOSTBYNAME)
    ENDIF ()

    # Find library needed for connect:
    CHECK_FUNCTION_EXISTS("connect" CMAKE_HAVE_CONNECT)
    IF (NOT CMAKE_HAVE_CONNECT)
        CHECK_LIBRARY_EXISTS("socket" "connect" "" CMAKE_HAVE_CONNECT)
    ENDIF ()

    # Define HAVE_NET_SERVICES if gethostbyname & connect were found:
    IF (CMAKE_HAVE_GETHOSTBYNAME AND CMAKE_HAVE_CONNECT)
        ADD_DEFINITIONS(-DHAVE_NET_SERVICES)
        CHECK_SYMBOL_EXISTS(fmemopen "stdio.h" HAVE_FMEMOPEN)
        IF(HAVE_FMEMOPEN)
            ADD_DEFINITIONS(-DHAVE_FMEMOPEN)
        ENDIF()
    ENDIF()

ENDIF()

IF(MSVC OR BORLAND)
    # Define
    ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
    # Need an empty unistd.h in MSVC for flex-generated eval_l.c:
    FILE(WRITE ${CMAKE_SOURCE_DIR}/unistd.h "")
    INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
ENDIF()

IF(BORLAND)
    # Suppress spurious Borland compiler warnings about "Suspicious
    # pointer arithmetic", "Possibly incorrect assignment", and
    # "Comparing signed and unsigned values".
    ADD_DEFINITIONS(-w-spa)
    ADD_DEFINITIONS(-w-pia)
    ADD_DEFINITIONS(-w-csu)
ENDIF()

IF(USE_SSE2)
    IF("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" OR
       "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR
       "${CMAKE_CXX_COMPILER_ID}" STREQUAL "AppleClang")
        ADD_COMPILE_OPTIONS(-msse2)
    ENDIF()
    IF(MSVC)
        ADD_DEFINITIONS(-D__SSE2__=1)
    ENDIF()
ENDIF()

IF(USE_SSSE3)
    IF("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" OR
       "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR
       "${CMAKE_CXX_COMPILER_ID}" STREQUAL "AppleClang")
        ADD_COMPILE_OPTIONS(-mssse3)
    ENDIF()
    IF(MSVC)
        ADD_DEFINITIONS(-D__SSE2__=1 -D__SSSE3__=1)
    ENDIF()
ENDIF()

# Test for the unix ftruncate function
CHECK_SYMBOL_EXISTS(ftruncate "unistd.h" HAVE_FTRUNCATE)
IF(HAVE_FTRUNCATE)
    ADD_DEFINITIONS(-DHAVE_UNISTD_H -DHAVE_FTRUNCATE)
ENDIF()

# Check is System V IPC is supported on this machine
CHECK_C_SOURCE_COMPILES("
#include <sys/ipc.h>
#include <sys/shm.h>
#include <sys/sem.h>
int main() {
  shmat(0,0,0);
  shmdt(0);
  shmget(0, 0, 0);
  semget(0, 0, 0);
  return 0;
}" HAVE_SHMEM_SERVICES)
IF(HAVE_SHMEM_SERVICES)
    ADD_DEFINITIONS(-DHAVE_SHMEM_SERVICES)

    # Some systems define flock_t, for others we have to define it ourselves
    CHECK_C_SOURCE_COMPILES("
    #include <sys/flock.h>
    int main() {
      flock_t filler;
      return 0;
    }" HAVE_FLOCK_T)
    IF(HAVE_FLOCK_T)
        ADD_DEFINITIONS(-DHAVE_FLOCK_T)
    ENDIF()

    # Check union semun
    CHECK_C_SOURCE_COMPILES("
    #include <sys/ipc.h>
    #include <sys/shm.h>
    #include <sys/sem.h>
    int main() {
      union semun filler;
      return 0;
    }" HAVE_UNION_SEMUN)
    IF(HAVE_UNION_SEMUN)
        ADD_DEFINITIONS(-DHAVE_UNION_SEMUN)
    ENDIF()
ENDIF()

IF(WIN32 AND BUILD_SHARED_LIBS)
    ADD_DEFINITIONS(-Dcfitsio_EXPORTS)
ENDIF()

#==============================================================================
# CFITSIO source code:
#==============================================================================

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}")
set (LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
set (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include/")
set (BIN_DESTINATION "${CMAKE_INSTALL_PREFIX}/bin")

SET(H_FILES fitsio.h fitsio2.h longnam.h)

SET(SRC_FILES
    buffers.c cfileio.c checksum.c
    drvrfile.c drvrmem.c drvrnet.c drvrsmem.c
    editcol.c edithdu.c eval_f.c eval_l.c eval_y.c
    f77_wrap1.c f77_wrap2.c f77_wrap3.c f77_wrap4.c
    fits_hcompress.c fits_hdecompress.c fitscore.c
    getcol.c getcolb.c getcold.c getcole.c getcoli.c getcolj.c getcolk.c
    getcoll.c getcols.c getcolsb.c getcolui.c getcoluj.c getcoluk.c
    getkey.c group.c grparser.c histo.c imcompress.c iraffits.c modkey.c
    pliocomp.c
    putcol.c putcolb.c putcold.c putcole.c putcoli.c putcolj.c putcolk.c
    putcoll.c putcols.c putcolsb.c putcolu.c putcolui.c putcoluj.c putcoluk.c
    putkey.c quantize.c region.c ricecomp.c scalnull.c simplerng.c swapproc.c
    wcssub.c wcsutil.c zcompress.c zuncompress.c
)

# For future modifications:

# drvrsmem.c is only usable if HAVE_SHMEM_SERVICES is defined:
#drvrsmem.c

# drvrgsiftp.c is only usable if HAVE_NET_SERVICES & HAVE_GSIFTP are defined:
#drvrgsiftp.c

#==============================================================================
# Add libraries:
#==============================================================================
ADD_LIBRARY(${LIB_NAME} ${LIB_TYPE} ${H_FILES} ${SRC_FILES})
# Add an alias definition to handle export namespace for
# add_subdirectory():
ADD_LIBRARY(${LIB_NAME}::${LIB_NAME} ALIAS ${LIB_NAME})

TARGET_INCLUDE_DIRECTORIES(${LIB_NAME} PUBLIC
    $<BUILD_INTERFACE:${CFITSIO_SOURCE_DIR}>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
    $<INSTALL_INTERFACE:include>
)
# Math:
TARGET_LINK_LIBRARIES(${LIB_NAME} ${M_LIB})
# zlib:
IF (ZLIB_FOUND)
    TARGET_INCLUDE_DIRECTORIES(${LIB_NAME} PUBLIC ${ZLIB_INCLUDE_DIR})
    TARGET_LINK_LIBRARIES(${LIB_NAME} ${ZLIB_LIBRARIES})
    # For cfitsio.pc.cmake:
    SET (PKG_CONFIG_LIBS "${PKG_CONFIG_LIBS} -lz")
ENDIF(ZLIB_FOUND)
# cURL:
IF (CURL_FOUND)
    TARGET_INCLUDE_DIRECTORIES(${LIB_NAME} PUBLIC ${CURL_INCLUDE_DIRS})
    TARGET_LINK_LIBRARIES(${LIB_NAME} ${CURL_LIBRARIES})
    # For cfitsio.pc.cmake:
    SET (PKG_CONFIG_LIBS "${PKG_CONFIG_LIBS} -lcurl")
ENDIF(CURL_FOUND)
# PThreads:
IF (THREADS_FOUND)
    TARGET_LINK_LIBRARIES(${LIB_NAME} Threads::Threads)
ENDIF(THREADS_FOUND)
# BZip2:
IF (BZIP2_FOUND)
    TARGET_INCLUDE_DIRECTORIES(${LIB_NAME} PUBLIC ${BZIP2_INCLUDE_DIRS})
    TARGET_LINK_LIBRARIES(${LIB_NAME} ${BZIP2_LIBRARIES})
    SET (PKG_CONFIG_LIBS "${PKG_CONFIG_LIBS} -lbz2")
ENDIF(BZIP2_FOUND)

SET_TARGET_PROPERTIES(${LIB_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION} SOVERSION ${${PROJECT_NAME}_MAJOR})

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

install(TARGETS ${LIB_NAME}
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)
#install(TARGETS ${LIB_NAME}
#        EXPORT ${LIB_NAME}-targets
#        FILE ${LIB_NAME}-targets.cmake
#        NAMESPACE ${LIB_NAME}::
#        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake
#)
#install(EXPORT ${LIB_NAME}-targets DESTINATION lib/cfitsio-${CFITSIO_VERSION})
install(FILES ${H_FILES} DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)

#==============================================================================
# Optional test programs:
#==============================================================================
IF (TESTS)

    ENABLE_TESTING()

    ADD_EXECUTABLE(TestProg testprog.c)
    TARGET_LINK_LIBRARIES(TestProg ${LIB_NAME})
    ADD_TEST(TestProg TestProg)
    # Copy testprog.tpt to build directory to allow quick test
    # of ./TestProg (or .\Release\TestProg.exe in MSVC):
    FILE(COPY ${CMAKE_SOURCE_DIR}/testprog.tpt DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

    ADD_EXECUTABLE(cookbook cookbook.c)
    TARGET_LINK_LIBRARIES(cookbook ${LIB_NAME})
    ADD_TEST(cookbook cookbook)

ENDIF(TESTS)

#==============================================================================
# Optional utilities:
#==============================================================================
IF (UTILS)

    ADD_EXECUTABLE(FPack fpack.c fpackutil.c)
    TARGET_LINK_LIBRARIES(FPack ${LIB_NAME})

    ADD_EXECUTABLE(Funpack funpack.c fpackutil.c)
    TARGET_LINK_LIBRARIES(Funpack ${LIB_NAME})

    ADD_EXECUTABLE(Fitscopy fitscopy.c)
    TARGET_LINK_LIBRARIES(Fitscopy ${LIB_NAME})

    # To expand the command line arguments in Windows, see:
    # http://msdn.microsoft.com/en-us/library/8bch7bkk.aspx
    if(MSVC)
      set_target_properties(FPack Funpack PROPERTIES LINK_FLAGS "setargv.obj")
    endif(MSVC)

    install(TARGETS FPack Funpack Fitscopy RUNTIME DESTINATION bin)

ENDIF(UTILS)

#==============================================================================
# cfitsio.pc
#==============================================================================
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cfitsio.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/cfitsio.pc @ONLY)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cfitsio-config.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cfitsio-config.cmake @ONLY)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cfitsio-config-version.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cfitsio-config-version.cmake @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/cfitsio.pc DESTINATION lib/pkgconfig/)
install(FILES ${CFITSIO_BINARY_DIR}/cfitsio-config.cmake
              ${CFITSIO_BINARY_DIR}/cfitsio-config-version.cmake
              DESTINATION lib/cfitsio-${CFITSIO_VERSION})

=== debian/changelog ===
cfitsio (4.2.0-3) unstable; urgency=medium

  * Update debian/patches/01-LDFLAGS.diff to build the binaries with the
    correct LDFLAGS.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 23 Dec 2022 11:33:54 +0100

cfitsio (4.2.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.6.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 17 Dec 2022 15:06:19 +0100

cfitsio (4.2.0-1) experimental; urgency=medium

  * New upstream version:
    - Refresh debian/patches/01-LDFLAGS.diff.
    - Refresh debian/patches/04-pkgconfig-private.patch.
    - Rename libcfitsio9 into libcfitsio10.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 28 Nov 2022 21:12:54 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: gfortran, cfortran, zlib1g-dev, libbz2-dev, libcurl4-gnutls-dev
 Build-Depends-Indep: hevea, latex2html, texlive
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://heasarc.gsfc.nasa.gov/fitsio/fitsio.html
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/cfitsio
 Vcs-Git: https://salsa.debian.org/debian-astro-team/cfitsio.git
 Rules-Requires-Root: no
 
-Package: libcfitsio9
+Package: libcfitsio10
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -32,7 +32,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libcfitsio9 (= ${binary:Version}), ${misc:Depends}
+Depends: libcfitsio10 (= ${binary:Version}), ${misc:Depends}
 Replaces: libcfitsio3-dev (<< 3.340-3)
 Breaks: libcfitsio3-dev (<< 3.340-3)
 Recommends: libcfitsio-doc

=== debian/watch ===
version=4
https://heasarc.gsfc.nasa.gov/FTP/software/fitsio/c cfitsio-(.+)\.tar\.gz

## cfitsio 4.3.0

=== debian/changelog ===
cfitsio (4.3.0-2) unstable; urgency=medium

  * Add patch from Dandan Zhang to add support for loong64 architecture.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 14 Sep 2023 22:31:39 +0200

cfitsio (4.3.0-1) unstable; urgency=medium

  * New upstream version:
    - Update symbols file.
  * Drop debian/patches/04-pkgconfig-private.patch (obsolete).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Sep 2023 17:20:07 +0200

## cfitsio 4.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,8 +21,8 @@
 
 # Define project version
 SET(${PROJECT_NAME}_MAJOR 4)
-SET(${PROJECT_NAME}_MINOR 2)
-SET(${PROJECT_NAME}_MICRO 0)
+SET(${PROJECT_NAME}_MINOR 3)
+SET(${PROJECT_NAME}_MICRO 1)
 SET(${PROJECT_NAME}_VERSION ${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_MICRO})
 SET(LIB_NAME cfitsio)
 
@@ -293,18 +293,12 @@
 include(GNUInstallDirs)
 include(CMakePackageConfigHelpers)
 
-install(TARGETS ${LIB_NAME}
+install(TARGETS ${LIB_NAME} EXPORT ${LIB_NAME}-targets
         RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
         LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
         ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
 )
-#install(TARGETS ${LIB_NAME}
-#        EXPORT ${LIB_NAME}-targets
-#        FILE ${LIB_NAME}-targets.cmake
-#        NAMESPACE ${LIB_NAME}::
-#        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake
-#)
-#install(EXPORT ${LIB_NAME}-targets DESTINATION lib/cfitsio-${CFITSIO_VERSION})
+install(EXPORT ${LIB_NAME}-targets DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake)
 install(FILES ${H_FILES} DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)
 
 #==============================================================================

=== debian/changelog ===
cfitsio (4.3.1-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:28:39 +0000

cfitsio (4.3.1-1.1build1) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:46:47 +0000

cfitsio (4.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063111

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 11:57:08 +0000

cfitsio (4.3.1-1) unstable; urgency=medium

  * New upstream version:
    - Update symbols file.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 31 Jan 2024 19:24:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: cfitsio
 Section: devel
 Priority: optional
-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: gfortran, cfortran, zlib1g-dev, libbz2-dev, libcurl4-gnutls-dev
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13)
+Build-Depends-Arch: dpkg-dev (>= 1.22.5), gfortran, cfortran, zlib1g-dev, libbz2-dev, libcurl4-gnutls-dev
 Build-Depends-Indep: hevea, latex2html, texlive
 Standards-Version: 4.6.2
 Homepage: https://heasarc.gsfc.nasa.gov/fitsio/fitsio.html
@@ -12,7 +13,10 @@
 Vcs-Git: https://salsa.debian.org/debian-astro-team/cfitsio.git
 Rules-Requires-Root: no
 
-Package: libcfitsio10
+Package: libcfitsio10t64
+Provides: ${t64:Provides}
+Replaces: libcfitsio10
+Breaks: libcfitsio10 (<< ${source:Version})
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -32,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libcfitsio10 (= ${binary:Version}), ${misc:Depends}
+Depends: libcfitsio10t64 (= ${binary:Version}), ${misc:Depends}
 Replaces: libcfitsio3-dev (<< 3.340-3)
 Breaks: libcfitsio3-dev (<< 3.340-3)
 Recommends: libcfitsio-doc

## cfitsio 4.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 # Define project version
 SET(${PROJECT_NAME}_MAJOR 4)
-SET(${PROJECT_NAME}_MINOR 3)
+SET(${PROJECT_NAME}_MINOR 4)
 SET(${PROJECT_NAME}_MICRO 1)
 SET(${PROJECT_NAME}_VERSION ${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_MICRO})
 SET(LIB_NAME cfitsio)
@@ -51,7 +51,7 @@
 
 OPTION(TESTS "Build test programs Testprog and cookbook" OFF)
 
-OPTION(UTILS "Build FPack, Funpack, and Fitscopy executables" OFF)
+OPTION(UTILS "Build FPack, Funpack, Fitscopy, and Fitsverify executables" OFF)
 
 OPTION(USE_SSE2 "Enable use of instructions in the SSE2 extended instruction set" OFF)
 
@@ -298,7 +298,7 @@
         LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
         ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
 )
-install(EXPORT ${LIB_NAME}-targets DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake)
+install(EXPORT ${LIB_NAME}-targets DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/cfitsio)
 install(FILES ${H_FILES} DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)
 
 #==============================================================================
@@ -308,14 +308,14 @@
 
     ENABLE_TESTING()
 
-    ADD_EXECUTABLE(TestProg testprog.c)
+    ADD_EXECUTABLE(TestProg utilities/testprog.c)
     TARGET_LINK_LIBRARIES(TestProg ${LIB_NAME})
     ADD_TEST(TestProg TestProg)
     # Copy testprog.tpt to build directory to allow quick test
     # of ./TestProg (or .\Release\TestProg.exe in MSVC):
     FILE(COPY ${CMAKE_SOURCE_DIR}/testprog.tpt DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
 
-    ADD_EXECUTABLE(cookbook cookbook.c)
+    ADD_EXECUTABLE(cookbook utilities/cookbook.c)
     TARGET_LINK_LIBRARIES(cookbook ${LIB_NAME})
     ADD_TEST(cookbook cookbook)
 
@@ -326,22 +326,29 @@
 #==============================================================================
 IF (UTILS)
 
-    ADD_EXECUTABLE(FPack fpack.c fpackutil.c)
+    ADD_EXECUTABLE(FPack utilities/fpack.c utilities/fpackutil.c)
     TARGET_LINK_LIBRARIES(FPack ${LIB_NAME})
 
-    ADD_EXECUTABLE(Funpack funpack.c fpackutil.c)
+    ADD_EXECUTABLE(Funpack utilities/funpack.c utilities/fpackutil.c)
     TARGET_LINK_LIBRARIES(Funpack ${LIB_NAME})
 
-    ADD_EXECUTABLE(Fitscopy fitscopy.c)
+    ADD_EXECUTABLE(Fitscopy utilities/fitscopy.c)
     TARGET_LINK_LIBRARIES(Fitscopy ${LIB_NAME})
+
+    ADD_EXECUTABLE(Fitsverify
+                  utilities/ftverify.c utilities/fvrf_data.c
+                  utilities/fvrf_file.c utilities/fvrf_head.c
+                  utilities/fvrf_key.c utilities/fvrf_misc.c)
+    TARGET_COMPILE_DEFINITIONS(Fitsverify PRIVATE -DSTANDALONE)
+    TARGET_LINK_LIBRARIES(Fitsverify ${LIB_NAME})
 
     # To expand the command line arguments in Windows, see:
     # http://msdn.microsoft.com/en-us/library/8bch7bkk.aspx
-    if(MSVC)
+    if(MSVC AND NOT CMAKE_SYSTEM_NAME MATCHES "WindowsStore")
       set_target_properties(FPack Funpack PROPERTIES LINK_FLAGS "setargv.obj")
     endif(MSVC)
 
-    install(TARGETS FPack Funpack Fitscopy RUNTIME DESTINATION bin)
+    install(TARGETS FPack Funpack Fitscopy Fitsverify RUNTIME DESTINATION bin)
 
 ENDIF(UTILS)
 
@@ -352,6 +359,3 @@
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cfitsio-config.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cfitsio-config.cmake @ONLY)
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cfitsio-config-version.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cfitsio-config-version.cmake @ONLY)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/cfitsio.pc DESTINATION lib/pkgconfig/)
-install(FILES ${CFITSIO_BINARY_DIR}/cfitsio-config.cmake
-              ${CFITSIO_BINARY_DIR}/cfitsio-config-version.cmake
-              DESTINATION lib/cfitsio-${CFITSIO_VERSION})

=== debian/changelog ===
cfitsio (4.4.1-2) unstable; urgency=medium

  * Update autopkgtest following the move of testprog.c to utilities.
  * Bump Standards-Version to 4.7.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 20 Jun 2024 19:57:52 +0200

cfitsio (4.4.1-1) unstable; urgency=medium

  * New upstream version:
    - Refresh debian/patches/02-system-cfortran.patch.
    - Drop debian/patches/06-spelling-errors.diff (upstreamed).
    - Drop debian/patches/10-latex.diff (upstreamed).
    - Update symbols file.
    - Rename README into README.md in debian/libcfitsio-doc.docs.
    - Update paths to example in debian/libcfitsio-doc.examples.
  * Drop redundant build-depends introduced in version 4.3.1-1.1.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 19 Jun 2024 23:15:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: cfitsio
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: dpkg-dev (>= 1.22.5), gfortran, cfortran, zlib1g-dev, libbz2-dev, libcurl4-gnutls-dev
 Build-Depends-Indep: hevea, latex2html, texlive
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://heasarc.gsfc.nasa.gov/fitsio/fitsio.html
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/cfitsio
 Vcs-Git: https://salsa.debian.org/debian-astro-team/cfitsio.git

## cfitsio 4.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,9 +20,10 @@
 	)
 
 # Define project version
+SET(${PROJECT_NAME}_SONAME 10)
 SET(${PROJECT_NAME}_MAJOR 4)
-SET(${PROJECT_NAME}_MINOR 4)
-SET(${PROJECT_NAME}_MICRO 1)
+SET(${PROJECT_NAME}_MINOR 5)
+SET(${PROJECT_NAME}_MICRO 0)
 SET(${PROJECT_NAME}_VERSION ${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_MICRO})
 SET(LIB_NAME cfitsio)
 
@@ -51,7 +52,7 @@
 
 OPTION(TESTS "Build test programs Testprog and cookbook" OFF)
 
-OPTION(UTILS "Build FPack, Funpack, Fitscopy, and Fitsverify executables" OFF)
+OPTION(UTILS "Build fpack, funpack, fitscopy, and fitsverify executables" OFF)
 
 OPTION(USE_SSE2 "Enable use of instructions in the SSE2 extended instruction set" OFF)
 
@@ -219,7 +220,7 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}")
 set (LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
-set (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include/")
+set (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include/" CACHE PATH "Install dir for header files")
 set (BIN_DESTINATION "${CMAKE_INSTALL_PREFIX}/bin")
 
 SET(H_FILES fitsio.h fitsio2.h longnam.h)
@@ -288,7 +289,7 @@
     SET (PKG_CONFIG_LIBS "${PKG_CONFIG_LIBS} -lbz2")
 ENDIF(BZIP2_FOUND)
 
-SET_TARGET_PROPERTIES(${LIB_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION} SOVERSION ${${PROJECT_NAME}_MAJOR})
+SET_TARGET_PROPERTIES(${LIB_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION} SOVERSION ${${PROJECT_NAME}_SONAME})
 
 include(GNUInstallDirs)
 include(CMakePackageConfigHelpers)
@@ -326,29 +327,29 @@
 #==============================================================================
 IF (UTILS)
 
-    ADD_EXECUTABLE(FPack utilities/fpack.c utilities/fpackutil.c)
-    TARGET_LINK_LIBRARIES(FPack ${LIB_NAME})
-
-    ADD_EXECUTABLE(Funpack utilities/funpack.c utilities/fpackutil.c)
-    TARGET_LINK_LIBRARIES(Funpack ${LIB_NAME})
-
-    ADD_EXECUTABLE(Fitscopy utilities/fitscopy.c)
-    TARGET_LINK_LIBRARIES(Fitscopy ${LIB_NAME})
-
-    ADD_EXECUTABLE(Fitsverify
+    ADD_EXECUTABLE(fpack utilities/fpack.c utilities/fpackutil.c)
+    TARGET_LINK_LIBRARIES(fpack ${LIB_NAME})
+
+    ADD_EXECUTABLE(funpack utilities/funpack.c utilities/fpackutil.c)
+    TARGET_LINK_LIBRARIES(funpack ${LIB_NAME})
+
+    ADD_EXECUTABLE(fitscopy utilities/fitscopy.c)
+    TARGET_LINK_LIBRARIES(fitscopy ${LIB_NAME})
+
+    ADD_EXECUTABLE(fitsverify
                   utilities/ftverify.c utilities/fvrf_data.c
                   utilities/fvrf_file.c utilities/fvrf_head.c
                   utilities/fvrf_key.c utilities/fvrf_misc.c)
-    TARGET_COMPILE_DEFINITIONS(Fitsverify PRIVATE -DSTANDALONE)
-    TARGET_LINK_LIBRARIES(Fitsverify ${LIB_NAME})
+    TARGET_COMPILE_DEFINITIONS(fitsverify PRIVATE -DSTANDALONE)
+    TARGET_LINK_LIBRARIES(fitsverify ${LIB_NAME})
 
     # To expand the command line arguments in Windows, see:
     # http://msdn.microsoft.com/en-us/library/8bch7bkk.aspx
     if(MSVC AND NOT CMAKE_SYSTEM_NAME MATCHES "WindowsStore")
-      set_target_properties(FPack Funpack PROPERTIES LINK_FLAGS "setargv.obj")
-    endif(MSVC)
-
-    install(TARGETS FPack Funpack Fitscopy Fitsverify RUNTIME DESTINATION bin)
+      set_target_properties(fpack funpack PROPERTIES LINK_FLAGS "setargv.obj")
+    endif()
+
+    install(TARGETS fpack funpack fitscopy fitsverify RUNTIME DESTINATION bin)
 
 ENDIF(UTILS)
 
@@ -358,4 +359,3 @@
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cfitsio.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/cfitsio.pc @ONLY)
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cfitsio-config.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cfitsio-config.cmake @ONLY)
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cfitsio-config-version.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cfitsio-config-version.cmake @ONLY)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/cfitsio.pc DESTINATION lib/pkgconfig/)

=== debian/changelog ===
cfitsio (4.5.0-5) unstable; urgency=medium

  * Import the autopkgtest from the fitsverify package.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 23 Oct 2024 22:58:56 +0200

cfitsio (4.5.0-4) unstable; urgency=medium

  * Try to support cross-compiling.
  * Drop now useless debian/libcfitsio10t64.lintian-overrides.
  * Set DEB_BUILD_MAINT_OPTIONS = hardening=+all to make lintian happier.
  * Update the fitsverify(1) manpage using the one from the fitsverify
    package.
  * Set libcfitsio-bin section to science.
  * Update libcfitsio-bin description to include newer binaries.
  * Take over the fitsverify binary and change it into a transitional package.
    Closes: #1085050.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 19 Oct 2024 17:36:25 +0200

cfitsio (4.5.0-3) unstable; urgency=medium

  * debian/patches/02-system-cfortran.patch: update to no install cfortran.h.
    Closes: #1085011.
  * debian/control: add a dependency on cfortran to libcfitsio-dev.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 13 Oct 2024 11:35:42 +0200

cfitsio (4.5.0-2) unstable; urgency=medium

  * debian/rules: drop override_dh_auto_install-arch stanza.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 11 Oct 2024 19:38:14 +0200

cfitsio (4.5.0-1) unstable; urgency=medium

  * New upstream version:
    - Drop debian/patches/01-LDFLAGS.diff (obsolete).
    - Drop debian/patches/03-off_t.diff (upstreamed).
    - Drop debian/patches/08-hurd.diff (upstreamed).
    - Drop debian/patches/09-add-support-for-loongarch64.patch (upstreamed).
    - Add debian/patcheS/01-link-fpack-and-funpack-with-lm.patch to fix build
      failure due to libtool defaulting to link_all_deplibs=no.
    - debian/rules: drop override_dh_auto_build-arch stanza.
    - debian/libcfitsio-bin.install: install fitsverify binary.
    - debian/not-installed: add usr/bin/{cookbook,smem,speed} and
      usr/lib/*/libcfitsio.la.
  * debian/fpack.1: fix synopsys.
  * debian/fitsverify.1: new man page.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 10 Oct 2024 23:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dpkg-dev (>= 1.22.5), gfortran, cfortran, zlib1g-dev, libbz2-dev, libcurl4-gnutls-dev
+Build-Depends-Arch: dpkg-dev (>= 1.22.5), gfortran-for-host, cfortran, zlib1g-dev, libbz2-dev, libcurl4-gnutls-dev
 Build-Depends-Indep: hevea, latex2html, texlive
 Standards-Version: 4.7.0
 Homepage: https://heasarc.gsfc.nasa.gov/fitsio/fitsio.html
@@ -35,7 +35,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libcfitsio10t64 (= ${binary:Version}), ${misc:Depends}
+Depends: libcfitsio10t64 (= ${binary:Version}), cfortran, ${misc:Depends}
 Replaces: libcfitsio3-dev (<< 3.340-3)
 Breaks: libcfitsio3-dev (<< 3.340-3)
 Recommends: libcfitsio-doc
@@ -51,7 +51,11 @@
 
 Package: libcfitsio-bin
 Architecture: any
+Section: science
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: fitsverify (<< 4.22+cfitsio)
+Replaces: fitsverify (<< 4.22+cfitsio)
+Provides: fitsverify
 Description: CFITSIO based utilities
  FITS (Flexible Image Transport System) is a data format most used in
  astronomy. cfitsio is a library of ANSI C routines for reading and
@@ -60,7 +64,7 @@
  programmers.
  .
  This package contains utility programs, based on CFITSIO, namely
- fitscopy, fpack and funpack.
+ fitscopy, fitsverify, fpack, funpack and imcopy.
 
 Package: libcfitsio-doc
 Architecture: all
@@ -81,3 +85,11 @@
  in html, postscript and text formats, and contains documentation on
  how to use the library in your programs. It also contains example
  source files that demonstrate the use of CFITSIO.
+
+Package: fitsverify
+Architecture: all
+Section: oldlibs
+Multi-Arch: foreign
+Depends: libcfitsio-bin, ${misc:Depends}
+Description: transitional dummy package
+ This is a transitional dummy package, it can be safely removed.

=== debian/tests/control ===
Tests: fitsverify
Depends: libcfitsio-bin, eso-midas-testdata
Restrictions: allow-stderr

Tests: testprog
Depends: build-essential, libcfitsio-dev, pkg-config

## cfitsio 4.6.2

=== debian/changelog ===
cfitsio (4.6.2-2) unstable; urgency=medium

  * autopkgtest/fitsverify: do not test image_M12c.fits, it is not compatible
    with new checks introduced in version 4.6.0

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 05 Apr 2025 00:05:23 +0200

cfitsio (4.6.2-1) unstable; urgency=medium

  * Fix debian/watch
  * New upstream version (closes: #1096426)
  * Remove 01-link-fpack-and-funpack-with-lm.patch (upstreamed)
  * Bump Standards-Version to 4.7.2 (no changes)
  * Rewrite debian/copyright in Machine-readable format

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 04 Apr 2025 23:07:03 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,14 @@
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dpkg-dev (>= 1.22.5), gfortran-for-host, cfortran, zlib1g-dev, libbz2-dev, libcurl4-gnutls-dev
+Build-Depends-Arch: dpkg-dev (>= 1.22.5),
+                    cfortran,
+                    gfortran-for-host,
+                    libbz2-dev,
+                    libcurl4-gnutls-dev,
+                    zlib1g-dev
 Build-Depends-Indep: hevea, latex2html, texlive
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://heasarc.gsfc.nasa.gov/fitsio/fitsio.html
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/cfitsio
 Vcs-Git: https://salsa.debian.org/debian-astro-team/cfitsio.git
@@ -20,7 +25,7 @@
 Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: shared library for I/O with FITS format data files
  FITS (Flexible Image Transport System) is a data format most used in
  astronomy. cfitsio is a library of ANSI C routines for reading and
@@ -35,7 +40,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libcfitsio10t64 (= ${binary:Version}), cfortran, ${misc:Depends}
+Depends: cfortran, libcfitsio10t64 (= ${binary:Version}), ${misc:Depends}
 Replaces: libcfitsio3-dev (<< 3.340-3)
 Breaks: libcfitsio3-dev (<< 3.340-3)
 Recommends: libcfitsio-doc
@@ -52,7 +57,7 @@
 Package: libcfitsio-bin
 Architecture: any
 Section: science
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: fitsverify (<< 4.22+cfitsio)
 Replaces: fitsverify (<< 4.22+cfitsio)
 Provides: fitsverify

=== debian/watch ===
version=4
https://heasarc.gsfc.nasa.gov/FTP/software/fitsio/c/ cfitsio-(.+)\.tar\.gz

## cfitsio 4.6.3

=== debian/changelog ===
cfitsio (4.6.3-1) unstable; urgency=medium

  * New upstream version 4.6.3
  * debian/control: drop Rules-Requires-Root field, now obsolete
  * Update debian/watch to version 5

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 15 Nov 2025 23:41:28 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
 Homepage: https://heasarc.gsfc.nasa.gov/fitsio/fitsio.html
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/cfitsio
 Vcs-Git: https://salsa.debian.org/debian-astro-team/cfitsio.git
-Rules-Requires-Root: no
 
 Package: libcfitsio10t64
 Provides: ${t64:Provides}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f fitscopy imcopy
	rm -f testprog.fit
	rm -rf docs/cfitsio docs/fitsio docs/quick

override_dh_auto_configure-arch:
	dh_auto_configure -- --host=$(DEB_HOST_GNU_TYPE) --enable-reentrant --with-bzip2

override_dh_auto_configure-indep:
	# Nothing to do

override_dh_auto_build-indep:
	for i in cfitsio fitsio quick ; do \
		cd $(CURDIR) ; \
		mkdir -p $(CURDIR)/docs/$$i ; \
		hevea -fix -o docs/$$i/$$i docs/$$i.tex ; \
		cd $(CURDIR)/docs/$$i ; \
		hacha $$i ; \
		rm -f $$i *.haux *.htoc *.hind ; \
		cd $(CURDIR)/docs ; \
		latex $$i.tex ; \
		latex $$i.tex ; \
		latex $$i.tex ; \
		dvipdf $$i.dvi ; \
	done

override_dh_auto_test-arch:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	LD_LIBRARY_PATH=$(CURDIR) $(CURDIR)/testprog
endif

override_dh_auto_install-indep:
	# Nothing to do

override_dh_gencontrol-indep:
	dh_gencontrol -pfitsverify -- -v4.22+cfitsio$(DEB_VERSION)
	dh_gencontrol -Nfitsverify

=== debian/tests/control ===
Tests: fitsverify
Depends: eso-midas-testdata, libcfitsio-bin
Restrictions: allow-stderr

Tests: testprog
Depends: build-essential, libcfitsio-dev, pkg-config

=== debian/watch ===
Version: 5

Source: https://heasarc.gsfc.nasa.gov/FTP/software/fitsio/c/
Matching-Pattern: cfitsio-(.+)\.tar\.gz
